promptClass {methods} | R Documentation

## Generate a Shell for Documentation of a Formal Class

### Description

Assembles all relevant slot and method information for a class, with minimal markup for Rd processing; no QA facilities at present.

### Usage

    promptClass(clName, filename, type = "class", keywords = "classes", where)

### Arguments

`clName` | character string naming the class to be documented.
`filename` | Usually, the filename on which the documentation shell should be written. By default it is the topic name for the class documentation, followed by ".Rd". See the example below. The argument can also be any writable connection.
`type` | The documentation type to be declared in the output file.
`keywords` | The keywords to include in the shell of the documentation. The keyword `"classes"` should be one of them.
`where` | where to look for the definition of the class and of methods that use it: by default, anywhere in the current search list.

### Details

The class definition is found on the search list. Using that definition, information about classes extended and slots is determined.

In addition, the currently available generics with methods for this class are found (using `getGenerics`). Note that these methods need not be in the same environment as the class definition; in particular, this part of the output may depend on which packages are currently in the search list.

As with other prompt-style functions, the documentation shell is written to a file, which will need editing to give information about the meaning of the class. The output of `promptClass` can only contain information from the metadata about the formal definition and how it is used.

### Value

The name of the file to which the shell is written (the value is `invisible`). A message is also printed notifying the user about the file.

### Author(s)

VJ Carey stvjc@channing.harvard.edu and John Chambers

### References

The web page http://www.omegahat.org/RSMethods/index.html is the primary documentation.

The functions in this package emulate the facility for classes and methods described in Programming with Data (John M. Chambers, Springer, 1998). See this book for further details and examples.

### See Also

`prompt` for documentation of functions, `promptMethods` for documentation of method definitions.

For processing of the edited documentation, either use `R CMD Rdconv`, or include the edited file in the ``man`' subdirectory of a package.

### Examples

    > promptClass("track")
    A shell of class documentation has been written to the
    file "track-class.Rd".

[Package Contents]